Page MenuHomePhabricator

eolian should only allow pure_virtual on abstract classes
Closed, ResolvedPublic

Description

As the title says. There is no point in having this in interfaces / regulars.

bu5hm4n created this task.Jan 15 2019, 11:54 AM
bu5hm4n added a subscriber: q66.
bu5hm4n moved this task from Restricted Project Column to Restricted Project Column on the Restricted Project board.Jan 16 2019, 5:59 AM
q66 added a comment.Jan 16 2019, 11:33 AM

I added a check to help with this in eb830d8e46ce5aae656bc7d93a4d01bac0a82e5d. Methods/properties are implicitly pure_virtual in interfaces, so the ticket is a bit misleading, and it's currently also allowed (and used) in mixins. However, pure virtual methods are treated as unimplemented by 211064113104702b2c6bd279e9e8a04ee0e8254a, so any potential cases are caught by that.

q66 added a comment.Jan 16 2019, 11:38 AM

I did however disable explicit usage of it in interfaces in 90f604327586eb8fb3f0c9e7b83816573bea820d.

bu5hm4n moved this task from Restricted Project Column to Restricted Project Column on the Restricted Project board.Jan 17 2019, 1:56 AM
q66 closed this task as Resolved.Jan 17 2019, 8:20 AM
q66 claimed this task.